Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I have a computer relatively new with Fedora 10. I have bought a webcam, plugged it in, run cheese and the webcam works perfectly. So, it is supported by the kernel.

Than, the hard part...

I have tried to use X-LITE, Skype and now QNext and the camera does not works on these apps. All I see is a black or scrambled colored noise pattern.

Qnext gave me this errro message

Device 'v4l:5' detection failed: java.lang.Error: Can't open video card 5
      Video device 'v4l:6' detection failed: java.lang.Error: Can't open video card 6
      Video device 'v4l:7' detection failed: java.lang.Error: Can't open video card 7
      Video device 'v4l:8' detection failed: java.lang.Error: Can't open video card 8
      Video device 'v4l:9' detection failed: java.lang.Error: Can't open video card 9
Finished detecting Video capture - 0 devices found

The camera shows perfectly as /dev/video0 when I plug it in.

So, if the kernel supports it, what is the matter with linux? WTF!

I have tested on UBUNTU, on another box, and I have the same problem.

Any suggestions?

thanks for your time.

share|improve this question
1  
Camera's model? What does v4l-info show? –  liori Dec 21 '09 at 21:37
    
Any related messages on dmesg or /var/log/messages \ /var/log/syslog ? –  Suppressingfire Dec 21 '09 at 23:06
1  
No WTFs needed. The "standard Linux response" here is that since Linux is open source, if you don't like what's available, you're free to develop your own solution. Not trying to be flip; Linux is what it is only by the generosity (some would say foolishness...) of others. –  Joe Internet Dec 21 '09 at 23:22
    
I've had fairly horrible luck with f10 and webcams. If at all possible, I'd suggest upgrading to f11 or 12, which has far more robust support. –  Babu Feb 5 '10 at 22:43
1  
@Joe Internet: Oh please...read his question. The webcam is working perfectly with Cheese (Open Source) and not with Skype, X-Lite and QNext (all three Closed Source). –  Bobby Feb 5 '10 at 22:59

4 Answers 4

up vote 3 down vote accepted

It may be that the other programs you are running do not support cameras that only support V4L2 by default (e.g. the application does not support V4L2)

Try the following:

Run your application from the command-line, but prefix your command with the following:

LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so

This should allow compatibility with applications that use V4L1.

Also, please make sure that no other application is using the camera. Using 1 camera in more than 1 application is usually not supported.

share|improve this answer
    
sorry for the delay ticking your answer! Thanks! –  SpaceDog Feb 16 '10 at 20:12

You may need to adjust your kernel module for various bits of improper behaviour by some camera models. try:

rmmod uvcvideo

modprobe uvcvideo quirks=2

There are other quirks values ... 2 happens to work for me for a no-name camera.

share|improve this answer

In my limited experience, the application you are most likely to have success with is Ekiga. It's a standard part of Ubuntu.

That said, Webcam support in Linux is pretty rough. Sorry.

share|improve this answer

Is your platform 64-bit? If it is, sometimes the v4l libraries have compatibility issues. The LD_PRELOAD solution worked for me and skype.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.